summaryrefslogtreecommitdiffstats
path: root/network/webex/webex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/webex/webex.SlackBuild')
-rw-r--r--network/webex/webex.SlackBuild50
1 files changed, 30 insertions, 20 deletions
diff --git a/network/webex/webex.SlackBuild b/network/webex/webex.SlackBuild
index 58dc31f13f..4e80deb996 100644
--- a/network/webex/webex.SlackBuild
+++ b/network/webex/webex.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for webex
-# Copyright 2022 Eugene Wissner, Dachau, Germany
+# Copyright 2022-2023 Eugene Wissner, Mannheim, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,32 +22,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20230701 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - +x permission for shared libs.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=webex
-VERSION=${VERSION:-42.7.0.22904}
+VERSION=${VERSION:-43.11.0.27795}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-PKGTYPE=${PKGTYYPE:-tgz}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
- case "$ARCH" in
- i?86) ARCH=i386 ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH=$( uname -m )
fi
-REAL_VER=$(ar p Webex.deb control.tar.gz 2> /dev/null | tar zxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH architecture is unsupported." >/dev/stderr
+ exit 1
+fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE"
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
fi
-TMP=${TMP:-/tmp}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -60,28 +60,38 @@ ar p $CWD/Webex.deb data.tar.xz | tar xJv || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
# Install a .desktop launcher:
-patch -p1 --verbose -i $CWD/desktop.patch
+# * Version should be the version of the desktop entry specification, not application version.
+# * "Application" category is deprecated.
mkdir -p $PKG/usr/share/applications
-mv $PKG/opt/Webex/bin/webex.desktop $PKG/usr/share/applications
+cat $PKG/opt/Webex/bin/webex.desktop | ruby -ne '
+ unless $_.start_with? %q{Version=}
+ puts $_.sub(/^Comment=.+/, %q{Comment=Video conferencing})
+ .sub(/^Categories=.+/, %q{Categories=Network})
+ end
+' > $PKG/usr/share/applications/webex.desktop
+
+rm $PKG/opt/Webex/bin/webex.desktop
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -type f -a -name '*.so*' -exec chmod 755 {} +
+
# Link the binary:
mkdir -p $PKG/usr/bin
( cd $PKG/usr/bin; ln -s ../../opt/Webex/bin/CiscoCollabHost webex )
-mkdir -p $PKG/usr/doc/$PRGNAM-$REAL_VER
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$REAL_VER/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE